package com.hzya.frame.sysnew.messageManageLogDetail.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sysnew.messageManageLogDetail.dao.ISysMessageManageLogDetailDao;
import com.hzya.frame.sysnew.messageManageLogDetail.entity.SysMessageManageLogDetailEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 息管理日志明细(SysMessageManageLog)表数据库访问层
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024/3/6 16:17
 * **/
@Repository("SysMessageManageLogDetailDaoImpl")
public class SysMessageManageLogDetailDaoImpl extends MybatisGenericDao<SysMessageManageLogDetailEntity, String> implements ISysMessageManageLogDetailDao {
    @Override
    public List<SysMessageManageLogDetailEntity> queryBackupDataDetail(SysMessageManageLogDetailEntity entity) {
        List<SysMessageManageLogDetailEntity> list =(List<SysMessageManageLogDetailEntity>)super.selectList(getSqlIdPrifx()+"entity_list_detail_time", entity);
        return list;
    }

    @Override
    public Integer updateBackupDataDetail(List<SysMessageManageLogDetailEntity> list) {
        int update = super.update(getSqlIdPrifx()+"entity_update_detail_time", list);
        return update;
    }

    @Override
    public Integer deleteBackupDataDetail(List<SysMessageManageLogDetailEntity> list) {
        int update = super.update(getSqlIdPrifx()+"entity_delete_detail_time", list);
        return update;
    }
}
